# -*- coding: utf-8 -*-


UNICODE_BLOCKS = [
    {
        "characters_total": 96,
        "name": "Basic Latin"
    },
    {
        "characters_total": 128,
        "name": "Latin-1 Supplement"
    },
    {
        "characters_total": 128,
        "name": "Latin Extended-A"
    },
    {
        "characters_total": 208,
        "name": "Latin Extended-B"
    },
    {
        "characters_total": 96,
        "name": "IPA Extensions"
    },
    {
        "characters_total": 80,
        "name": "Spacing Modifier Letters"
    },
    {
        "characters_total": 112,
        "name": "Combining Diacritical Marks"
    },
    {
        "characters_total": 144,
        "name": "Greek and Coptic"
    },
    {
        "characters_total": 256,
        "name": "Cyrillic"
    },
    {
        "characters_total": 48,
        "name": "Cyrillic Supplement"
    },
    {
        "characters_total": 96,
        "name": "Armenian"
    },
    {
        "characters_total": 112,
        "name": "Hebrew"
    },
    {
        "characters_total": 256,
        "name": "Arabic"
    },
    {
        "characters_total": 80,
        "name": "Syriac"
    },
    {
        "characters_total": 48,
        "name": "Arabic Supplement"
    },
    {
        "characters_total": 64,
        "name": "Thaana"
    },
    {
        "characters_total": 64,
        "name": "NKo"
    },
    {
        "characters_total": 64,
        "name": "Samaritan"
    },
    {
        "characters_total": 32,
        "name": "Mandaic"
    },
    {
        "characters_total": 16,
        "name": "Syriac Supplement"
    },
    {
        "characters_total": 96,
        "name": "Arabic Extended-A"
    },
    {
        "characters_total": 128,
        "name": "Devanagari"
    },
    {
        "characters_total": 128,
        "name": "Bengali"
    },
    {
        "characters_total": 128,
        "name": "Gurmukhi"
    },
    {
        "characters_total": 128,
        "name": "Gujarati"
    },
    {
        "characters_total": 128,
        "name": "Oriya"
    },
    {
        "characters_total": 128,
        "name": "Tamil"
    },
    {
        "characters_total": 128,
        "name": "Telugu"
    },
    {
        "characters_total": 128,
        "name": "Kannada"
    },
    {
        "characters_total": 128,
        "name": "Malayalam"
    },
    {
        "characters_total": 128,
        "name": "Sinhala"
    },
    {
        "characters_total": 128,
        "name": "Thai"
    },
    {
        "characters_total": 128,
        "name": "Lao"
    },
    {
        "characters_total": 256,
        "name": "Tibetan"
    },
    {
        "characters_total": 160,
        "name": "Myanmar"
    },
    {
        "characters_total": 96,
        "name": "Georgian"
    },
    {
        "characters_total": 256,
        "name": "Hangul Jamo"
    },
    {
        "characters_total": 384,
        "name": "Ethiopic"
    },
    {
        "characters_total": 32,
        "name": "Ethiopic Supplement"
    },
    {
        "characters_total": 96,
        "name": "Cherokee"
    },
    {
        "characters_total": 640,
        "name": "Unified Canadian Aboriginal Syllabics"
    },
    {
        "characters_total": 32,
        "name": "Ogham"
    },
    {
        "characters_total": 96,
        "name": "Runic"
    },
    {
        "characters_total": 32,
        "name": "Tagalog"
    },
    {
        "characters_total": 32,
        "name": "Hanunoo"
    },
    {
        "characters_total": 32,
        "name": "Buhid"
    },
    {
        "characters_total": 32,
        "name": "Tagbanwa"
    },
    {
        "characters_total": 128,
        "name": "Khmer"
    },
    {
        "characters_total": 176,
        "name": "Mongolian"
    },
    {
        "characters_total": 80,
        "name": "Unified Canadian Aboriginal Syllabics Extended"
    },
    {
        "characters_total": 80,
        "name": "Limbu"
    },
    {
        "characters_total": 48,
        "name": "Tai Le"
    },
    {
        "characters_total": 96,
        "name": "New Tai Lue"
    },
    {
        "characters_total": 32,
        "name": "Khmer Symbols"
    },
    {
        "characters_total": 32,
        "name": "Buginese"
    },
    {
        "characters_total": 144,
        "name": "Tai Tham"
    },
    {
        "characters_total": 80,
        "name": "Combining Diacritical Marks Extended"
    },
    {
        "characters_total": 128,
        "name": "Balinese"
    },
    {
        "characters_total": 64,
        "name": "Sundanese"
    },
    {
        "characters_total": 64,
        "name": "Batak"
    },
    {
        "characters_total": 80,
        "name": "Lepcha"
    },
    {
        "characters_total": 48,
        "name": "Ol Chiki"
    },
    {
        "characters_total": 16,
        "name": "Cyrillic Extended-C"
    },
    {
        "characters_total": 48,
        "name": "Georgian Extended"
    },
    {
        "characters_total": 16,
        "name": "Sundanese Supplement"
    },
    {
        "characters_total": 48,
        "name": "Vedic Extensions"
    },
    {
        "characters_total": 128,
        "name": "Phonetic Extensions"
    },
    {
        "characters_total": 64,
        "name": "Phonetic Extensions Supplement"
    },
    {
        "characters_total": 64,
        "name": "Combining Diacritical Marks Supplement"
    },
    {
        "characters_total": 256,
        "name": "Latin Extended Additional"
    },
    {
        "characters_total": 256,
        "name": "Greek Extended"
    },
    {
        "characters_total": 112,
        "name": "General Punctuation"
    },
    {
        "characters_total": 48,
        "name": "Superscripts and Subscripts"
    },
    {
        "characters_total": 48,
        "name": "Currency Symbols"
    },
    {
        "characters_total": 48,
        "name": "Combining Diacritical Marks for Symbols"
    },
    {
        "characters_total": 80,
        "name": "Letterlike Symbols"
    },
    {
        "characters_total": 64,
        "name": "Number Forms"
    },
    {
        "characters_total": 112,
        "name": "Arrows"
    },
    {
        "characters_total": 256,
        "name": "Mathematical Operators"
    },
    {
        "characters_total": 256,
        "name": "Miscellaneous Technical"
    },
    {
        "characters_total": 64,
        "name": "Control Pictures"
    },
    {
        "characters_total": 32,
        "name": "Optical Character Recognition"
    },
    {
        "characters_total": 160,
        "name": "Enclosed Alphanumerics"
    },
    {
        "characters_total": 128,
        "name": "Box Drawing"
    },
    {
        "characters_total": 32,
        "name": "Block Elements"
    },
    {
        "characters_total": 96,
        "name": "Geometric Shapes"
    },
    {
        "characters_total": 256,
        "name": "Miscellaneous Symbols"
    },
    {
        "characters_total": 192,
        "name": "Dingbats"
    },
    {
        "characters_total": 48,
        "name": "Miscellaneous Mathematical Symbols-A"
    },
    {
        "characters_total": 16,
        "name": "Supplemental Arrows-A"
    },
    {
        "characters_total": 256,
        "name": "Braille Patterns"
    },
    {
        "characters_total": 128,
        "name": "Supplemental Arrows-B"
    },
    {
        "characters_total": 128,
        "name": "Miscellaneous Mathematical Symbols-B"
    },
    {
        "characters_total": 256,
        "name": "Supplemental Mathematical Operators"
    },
    {
        "characters_total": 256,
        "name": "Miscellaneous Symbols and Arrows"
    },
    {
        "characters_total": 96,
        "name": "Glagolitic"
    },
    {
        "characters_total": 32,
        "name": "Latin Extended-C"
    },
    {
        "characters_total": 128,
        "name": "Coptic"
    },
    {
        "characters_total": 48,
        "name": "Georgian Supplement"
    },
    {
        "characters_total": 80,
        "name": "Tifinagh"
    },
    {
        "characters_total": 96,
        "name": "Ethiopic Extended"
    },
    {
        "characters_total": 32,
        "name": "Cyrillic Extended-A"
    },
    {
        "characters_total": 128,
        "name": "Supplemental Punctuation"
    },
    {
        "characters_total": 128,
        "name": "CJK Radicals Supplement"
    },
    {
        "characters_total": 224,
        "name": "Kangxi Radicals"
    },
    {
        "characters_total": 16,
        "name": "Ideographic Description Characters"
    },
    {
        "characters_total": 64,
        "name": "CJK Symbols and Punctuation"
    },
    {
        "characters_total": 96,
        "name": "Hiragana"
    },
    {
        "characters_total": 96,
        "name": "Katakana"
    },
    {
        "characters_total": 48,
        "name": "Bopomofo"
    },
    {
        "characters_total": 96,
        "name": "Hangul Compatibility Jamo"
    },
    {
        "characters_total": 16,
        "name": "Kanbun"
    },
    {
        "characters_total": 32,
        "name": "Bopomofo Extended"
    },
    {
        "characters_total": 48,
        "name": "CJK Strokes"
    },
    {
        "characters_total": 16,
        "name": "Katakana Phonetic Extensions"
    },
    {
        "characters_total": 256,
        "name": "Enclosed CJK Letters and Months"
    },
    {
        "characters_total": 256,
        "name": "CJK Compatibility"
    },
    {
        "characters_total": 6592,
        "name": "CJK Unified Ideographs Extension A"
    },
    {
        "characters_total": 64,
        "name": "Yijing Hexagram Symbols"
    },
    {
        "characters_total": 20992,
        "name": "CJK Unified Ideographs"
    },
    {
        "characters_total": 1168,
        "name": "Yi Syllables"
    },
    {
        "characters_total": 64,
        "name": "Yi Radicals"
    },
    {
        "characters_total": 48,
        "name": "Lisu"
    },
    {
        "characters_total": 320,
        "name": "Vai"
    },
    {
        "characters_total": 96,
        "name": "Cyrillic Extended-B"
    },
    {
        "characters_total": 96,
        "name": "Bamum"
    },
    {
        "characters_total": 32,
        "name": "Modifier Tone Letters"
    },
    {
        "characters_total": 224,
        "name": "Latin Extended-D"
    },
    {
        "characters_total": 48,
        "name": "Syloti Nagri"
    },
    {
        "characters_total": 16,
        "name": "Common Indic Number Forms"
    },
    {
        "characters_total": 64,
        "name": "Phags-pa"
    },
    {
        "characters_total": 96,
        "name": "Saurashtra"
    },
    {
        "characters_total": 32,
        "name": "Devanagari Extended"
    },
    {
        "characters_total": 48,
        "name": "Kayah Li"
    },
    {
        "characters_total": 48,
        "name": "Rejang"
    },
    {
        "characters_total": 32,
        "name": "Hangul Jamo Extended-A"
    },
    {
        "characters_total": 96,
        "name": "Javanese"
    },
    {
        "characters_total": 32,
        "name": "Myanmar Extended-B"
    },
    {
        "characters_total": 96,
        "name": "Cham"
    },
    {
        "characters_total": 32,
        "name": "Myanmar Extended-A"
    },
    {
        "characters_total": 96,
        "name": "Tai Viet"
    },
    {
        "characters_total": 32,
        "name": "Meetei Mayek Extensions"
    },
    {
        "characters_total": 48,
        "name": "Ethiopic Extended-A"
    },
    {
        "characters_total": 64,
        "name": "Latin Extended-E"
    },
    {
        "characters_total": 80,
        "name": "Cherokee Supplement"
    },
    {
        "characters_total": 64,
        "name": "Meetei Mayek"
    },
    {
        "characters_total": 11184,
        "name": "Hangul Syllables"
    },
    {
        "characters_total": 80,
        "name": "Hangul Jamo Extended-B"
    },
    {
        "characters_total": 896,
        "name": "High Surrogates"
    },
    {
        "characters_total": 128,
        "name": "High Private Use Surrogates"
    },
    {
        "characters_total": 1024,
        "name": "Low Surrogates"
    },
    {
        "characters_total": 6400,
        "name": "Private Use Area"
    },
    {
        "characters_total": 512,
        "name": "CJK Compatibility Ideographs"
    },
    {
        "characters_total": 80,
        "name": "Alphabetic Presentation Forms"
    },
    {
        "characters_total": 688,
        "name": "Arabic Presentation Forms-A"
    },
    {
        "characters_total": 16,
        "name": "Variation Selectors"
    },
    {
        "characters_total": 16,
        "name": "Vertical Forms"
    },
    {
        "characters_total": 16,
        "name": "Combining Half Marks"
    },
    {
        "characters_total": 32,
        "name": "CJK Compatibility Forms"
    },
    {
        "characters_total": 32,
        "name": "Small Form Variants"
    },
    {
        "characters_total": 144,
        "name": "Arabic Presentation Forms-B"
    },
    {
        "characters_total": 240,
        "name": "Halfwidth and Fullwidth Forms"
    },
    {
        "characters_total": 16,
        "name": "Specials"
    },
    {
        "characters_total": 128,
        "name": "Linear B Syllabary"
    },
    {
        "characters_total": 128,
        "name": "Linear B Ideograms"
    },
    {
        "characters_total": 64,
        "name": "Aegean Numbers"
    },
    {
        "characters_total": 80,
        "name": "Ancient Greek Numbers"
    },
    {
        "characters_total": 64,
        "name": "Ancient Symbols"
    },
    {
        "characters_total": 48,
        "name": "Phaistos Disc"
    },
    {
        "characters_total": 32,
        "name": "Lycian"
    },
    {
        "characters_total": 64,
        "name": "Carian"
    },
    {
        "characters_total": 32,
        "name": "Coptic Epact Numbers"
    },
    {
        "characters_total": 48,
        "name": "Old Italic"
    },
    {
        "characters_total": 32,
        "name": "Gothic"
    },
    {
        "characters_total": 48,
        "name": "Old Permic"
    },
    {
        "characters_total": 32,
        "name": "Ugaritic"
    },
    {
        "characters_total": 64,
        "name": "Old Persian"
    },
    {
        "characters_total": 80,
        "name": "Deseret"
    },
    {
        "characters_total": 48,
        "name": "Shavian"
    },
    {
        "characters_total": 48,
        "name": "Osmanya"
    },
    {
        "characters_total": 80,
        "name": "Osage"
    },
    {
        "characters_total": 48,
        "name": "Elbasan"
    },
    {
        "characters_total": 64,
        "name": "Caucasian Albanian"
    },
    {
        "characters_total": 384,
        "name": "Linear A"
    },
    {
        "characters_total": 64,
        "name": "Cypriot Syllabary"
    },
    {
        "characters_total": 32,
        "name": "Imperial Aramaic"
    },
    {
        "characters_total": 32,
        "name": "Palmyrene"
    },
    {
        "characters_total": 48,
        "name": "Nabataean"
    },
    {
        "characters_total": 32,
        "name": "Hatran"
    },
    {
        "characters_total": 32,
        "name": "Phoenician"
    },
    {
        "characters_total": 32,
        "name": "Lydian"
    },
    {
        "characters_total": 32,
        "name": "Meroitic Hieroglyphs"
    },
    {
        "characters_total": 96,
        "name": "Meroitic Cursive"
    },
    {
        "characters_total": 96,
        "name": "Kharoshthi"
    },
    {
        "characters_total": 32,
        "name": "Old South Arabian"
    },
    {
        "characters_total": 32,
        "name": "Old North Arabian"
    },
    {
        "characters_total": 64,
        "name": "Manichaean"
    },
    {
        "characters_total": 64,
        "name": "Avestan"
    },
    {
        "characters_total": 32,
        "name": "Inscriptional Parthian"
    },
    {
        "characters_total": 32,
        "name": "Inscriptional Pahlavi"
    },
    {
        "characters_total": 48,
        "name": "Psalter Pahlavi"
    },
    {
        "characters_total": 80,
        "name": "Old Turkic"
    },
    {
        "characters_total": 128,
        "name": "Old Hungarian"
    },
    {
        "characters_total": 64,
        "name": "Hanifi Rohingya"
    },
    {
        "characters_total": 32,
        "name": "Rumi Numeral Symbols"
    },
    {
        "characters_total": 64,
        "name": "Yezidi"
    },
    {
        "characters_total": 48,
        "name": "Old Sogdian"
    },
    {
        "characters_total": 64,
        "name": "Sogdian"
    },
    {
        "characters_total": 48,
        "name": "Chorasmian"
    },
    {
        "characters_total": 32,
        "name": "Elymaic"
    },
    {
        "characters_total": 128,
        "name": "Brahmi"
    },
    {
        "characters_total": 80,
        "name": "Kaithi"
    },
    {
        "characters_total": 48,
        "name": "Sora Sompeng"
    },
    {
        "characters_total": 80,
        "name": "Chakma"
    },
    {
        "characters_total": 48,
        "name": "Mahajani"
    },
    {
        "characters_total": 96,
        "name": "Sharada"
    },
    {
        "characters_total": 32,
        "name": "Sinhala Archaic Numbers"
    },
    {
        "characters_total": 80,
        "name": "Khojki"
    },
    {
        "characters_total": 48,
        "name": "Multani"
    },
    {
        "characters_total": 80,
        "name": "Khudawadi"
    },
    {
        "characters_total": 128,
        "name": "Grantha"
    },
    {
        "characters_total": 128,
        "name": "Newa"
    },
    {
        "characters_total": 96,
        "name": "Tirhuta"
    },
    {
        "characters_total": 128,
        "name": "Siddham"
    },
    {
        "characters_total": 96,
        "name": "Modi"
    },
    {
        "characters_total": 32,
        "name": "Mongolian Supplement"
    },
    {
        "characters_total": 80,
        "name": "Takri"
    },
    {
        "characters_total": 64,
        "name": "Ahom"
    },
    {
        "characters_total": 80,
        "name": "Dogra"
    },
    {
        "characters_total": 96,
        "name": "Warang Citi"
    },
    {
        "characters_total": 96,
        "name": "Dives Akuru"
    },
    {
        "characters_total": 96,
        "name": "Nandinagari"
    },
    {
        "characters_total": 80,
        "name": "Zanabazar Square"
    },
    {
        "characters_total": 96,
        "name": "Soyombo"
    },
    {
        "characters_total": 64,
        "name": "Pau Cin Hau"
    },
    {
        "characters_total": 112,
        "name": "Bhaiksuki"
    },
    {
        "characters_total": 80,
        "name": "Marchen"
    },
    {
        "characters_total": 96,
        "name": "Masaram Gondi"
    },
    {
        "characters_total": 80,
        "name": "Gunjala Gondi"
    },
    {
        "characters_total": 32,
        "name": "Makasar"
    },
    {
        "characters_total": 16,
        "name": "Lisu Supplement"
    },
    {
        "characters_total": 64,
        "name": "Tamil Supplement"
    },
    {
        "characters_total": 1024,
        "name": "Cuneiform"
    },
    {
        "characters_total": 128,
        "name": "Cuneiform Numbers and Punctuation"
    },
    {
        "characters_total": 208,
        "name": "Early Dynastic Cuneiform"
    },
    {
        "characters_total": 1072,
        "name": "Egyptian Hieroglyphs"
    },
    {
        "characters_total": 16,
        "name": "Egyptian Hieroglyph Format Controls"
    },
    {
        "characters_total": 640,
        "name": "Anatolian Hieroglyphs"
    },
    {
        "characters_total": 576,
        "name": "Bamum Supplement"
    },
    {
        "characters_total": 48,
        "name": "Mro"
    },
    {
        "characters_total": 48,
        "name": "Bassa Vah"
    },
    {
        "characters_total": 144,
        "name": "Pahawh Hmong"
    },
    {
        "characters_total": 96,
        "name": "Medefaidrin"
    },
    {
        "characters_total": 160,
        "name": "Miao"
    },
    {
        "characters_total": 32,
        "name": "Ideographic Symbols and Punctuation"
    },
    {
        "characters_total": 6144,
        "name": "Tangut"
    },
    {
        "characters_total": 768,
        "name": "Tangut Components"
    },
    {
        "characters_total": 512,
        "name": "Khitan Small Script"
    },
    {
        "characters_total": 144,
        "name": "Tangut Supplement"
    },
    {
        "characters_total": 256,
        "name": "Kana Supplement"
    },
    {
        "characters_total": 48,
        "name": "Kana Extended-A"
    },
    {
        "characters_total": 64,
        "name": "Small Kana Extension"
    },
    {
        "characters_total": 400,
        "name": "Nushu"
    },
    {
        "characters_total": 160,
        "name": "Duployan"
    },
    {
        "characters_total": 16,
        "name": "Shorthand Format Controls"
    },
    {
        "characters_total": 256,
        "name": "Byzantine Musical Symbols"
    },
    {
        "characters_total": 256,
        "name": "Musical Symbols"
    },
    {
        "characters_total": 80,
        "name": "Ancient Greek Musical Notation"
    },
    {
        "characters_total": 32,
        "name": "Mayan Numerals"
    },
    {
        "characters_total": 96,
        "name": "Tai Xuan Jing Symbols"
    },
    {
        "characters_total": 32,
        "name": "Counting Rod Numerals"
    },
    {
        "characters_total": 1024,
        "name": "Mathematical Alphanumeric Symbols"
    },
    {
        "characters_total": 688,
        "name": "Sutton SignWriting"
    },
    {
        "characters_total": 48,
        "name": "Glagolitic Supplement"
    },
    {
        "characters_total": 80,
        "name": "Nyiakeng Puachue Hmong"
    },
    {
        "characters_total": 64,
        "name": "Wancho"
    },
    {
        "characters_total": 224,
        "name": "Mende Kikakui"
    },
    {
        "characters_total": 96,
        "name": "Adlam"
    },
    {
        "characters_total": 80,
        "name": "Indic Siyaq Numbers"
    },
    {
        "characters_total": 80,
        "name": "Ottoman Siyaq Numbers"
    },
    {
        "characters_total": 256,
        "name": "Arabic Mathematical Alphabetic Symbols"
    },
    {
        "characters_total": 48,
        "name": "Mahjong Tiles"
    },
    {
        "characters_total": 112,
        "name": "Domino Tiles"
    },
    {
        "characters_total": 96,
        "name": "Playing Cards"
    },
    {
        "characters_total": 256,
        "name": "Enclosed Alphanumeric Supplement"
    },
    {
        "characters_total": 256,
        "name": "Enclosed Ideographic Supplement"
    },
    {
        "characters_total": 768,
        "name": "Miscellaneous Symbols and Pictographs"
    },
    {
        "characters_total": 80,
        "name": "Emoticons"
    },
    {
        "characters_total": 48,
        "name": "Ornamental Dingbats"
    },
    {
        "characters_total": 128,
        "name": "Transport and Map Symbols"
    },
    {
        "characters_total": 128,
        "name": "Alchemical Symbols"
    },
    {
        "characters_total": 128,
        "name": "Geometric Shapes Extended"
    },
    {
        "characters_total": 256,
        "name": "Supplemental Arrows-C"
    },
    {
        "characters_total": 256,
        "name": "Supplemental Symbols and Pictographs"
    },
    {
        "characters_total": 112,
        "name": "Chess Symbols"
    },
    {
        "characters_total": 144,
        "name": "Symbols and Pictographs Extended-A"
    },
    {
        "characters_total": 256,
        "name": "Symbols for Legacy Computing"
    },
    {
        "characters_total": 42720,
        "name": "CJK Unified Ideographs Extension B"
    },
    {
        "characters_total": 4160,
        "name": "CJK Unified Ideographs Extension C"
    },
    {
        "characters_total": 224,
        "name": "CJK Unified Ideographs Extension D"
    },
    {
        "characters_total": 5776,
        "name": "CJK Unified Ideographs Extension E"
    },
    {
        "characters_total": 7488,
        "name": "CJK Unified Ideographs Extension F"
    },
    {
        "characters_total": 544,
        "name": "CJK Compatibility Ideographs Supplement"
    },
    {
        "characters_total": 4944,
        "name": "CJK Unified Ideographs Extension G"
    },
    {
        "characters_total": 128,
        "name": "Tags"
    },
    {
        "characters_total": 240,
        "name": "Variation Selectors Supplement"
    },
    {
        "characters_total": 65536,
        "name": "Supplementary Private Use Area-A"
    },
    {
        "characters_total": 65536,
        "name": "Supplementary Private Use Area-B"
    }
]

UNICODE_SCRIPTS = [
    {
        "characters_total": 8055,
        "name": "Common",
        "tag": "Zyyy"
    },
    {
        "characters_total": 1374,
        "name": "Latin",
        "tag": "Latn"
    },
    {
        "characters_total": 77,
        "name": "Bopomofo",
        "tag": "Bopo"
    },
    {
        "characters_total": 573,
        "name": "Inherited",
        "tag": "Zinh"
    },
    {
        "characters_total": 518,
        "name": "Greek",
        "tag": "Grek"
    },
    {
        "characters_total": 143548,
        "name": "Unknown",
        "tag": "Zzzz"
    },
    {
        "characters_total": 137,
        "name": "Coptic",
        "tag": "Copt"
    },
    {
        "characters_total": 443,
        "name": "Cyrillic",
        "tag": "Cyrl"
    },
    {
        "characters_total": 96,
        "name": "Armenian",
        "tag": "Armn"
    },
    {
        "characters_total": 134,
        "name": "Hebrew",
        "tag": "Hebr"
    },
    {
        "characters_total": 1291,
        "name": "Arabic",
        "tag": "Arab"
    },
    {
        "characters_total": 88,
        "name": "Syriac",
        "tag": "Syrc"
    },
    {
        "characters_total": 50,
        "name": "Thaana",
        "tag": "Thaa"
    },
    {
        "characters_total": 62,
        "name": "Nko",
        "tag": "Nkoo"
    },
    {
        "characters_total": 61,
        "name": "Samaritan",
        "tag": "Samr"
    },
    {
        "characters_total": 29,
        "name": "Mandaic",
        "tag": "Mand"
    },
    {
        "characters_total": 154,
        "name": "Devanagari",
        "tag": "Deva"
    },
    {
        "characters_total": 96,
        "name": "Bengali",
        "tag": "Beng"
    },
    {
        "characters_total": 80,
        "name": "Gurmukhi",
        "tag": "Guru"
    },
    {
        "characters_total": 91,
        "name": "Gujarati",
        "tag": "Gujr"
    },
    {
        "characters_total": 91,
        "name": "Oriya",
        "tag": "Orya"
    },
    {
        "characters_total": 123,
        "name": "Tamil",
        "tag": "Taml"
    },
    {
        "characters_total": 98,
        "name": "Telugu",
        "tag": "Telu"
    },
    {
        "characters_total": 89,
        "name": "Kannada",
        "tag": "Knda"
    },
    {
        "characters_total": 118,
        "name": "Malayalam",
        "tag": "Mlym"
    },
    {
        "characters_total": 111,
        "name": "Sinhala",
        "tag": "Sinh"
    },
    {
        "characters_total": 86,
        "name": "Thai",
        "tag": "Thai"
    },
    {
        "characters_total": 82,
        "name": "Lao",
        "tag": "Laoo"
    },
    {
        "characters_total": 207,
        "name": "Tibetan",
        "tag": "Tibt"
    },
    {
        "characters_total": 223,
        "name": "Myanmar",
        "tag": "Mymr"
    },
    {
        "characters_total": 173,
        "name": "Georgian",
        "tag": "Geor"
    },
    {
        "characters_total": 11739,
        "name": "Hangul",
        "tag": "Hang"
    },
    {
        "characters_total": 495,
        "name": "Ethiopic",
        "tag": "Ethi"
    },
    {
        "characters_total": 172,
        "name": "Cherokee",
        "tag": "Cher"
    },
    {
        "characters_total": 710,
        "name": "Canadian Aboriginal",
        "tag": "Cans"
    },
    {
        "characters_total": 29,
        "name": "Ogham",
        "tag": "Ogam"
    },
    {
        "characters_total": 86,
        "name": "Runic",
        "tag": "Runr"
    },
    {
        "characters_total": 20,
        "name": "Tagalog",
        "tag": "Tglg"
    },
    {
        "characters_total": 21,
        "name": "Hanunoo",
        "tag": "Hano"
    },
    {
        "characters_total": 20,
        "name": "Buhid",
        "tag": "Buhd"
    },
    {
        "characters_total": 18,
        "name": "Tagbanwa",
        "tag": "Tagb"
    },
    {
        "characters_total": 146,
        "name": "Khmer",
        "tag": "Khmr"
    },
    {
        "characters_total": 167,
        "name": "Mongolian",
        "tag": "Mong"
    },
    {
        "characters_total": 68,
        "name": "Limbu",
        "tag": "Limb"
    },
    {
        "characters_total": 35,
        "name": "Tai Le",
        "tag": "Tale"
    },
    {
        "characters_total": 83,
        "name": "New Tai Lue",
        "tag": "Talu"
    },
    {
        "characters_total": 30,
        "name": "Buginese",
        "tag": "Bugi"
    },
    {
        "characters_total": 127,
        "name": "Tai Tham",
        "tag": "Lana"
    },
    {
        "characters_total": 121,
        "name": "Balinese",
        "tag": "Bali"
    },
    {
        "characters_total": 72,
        "name": "Sundanese",
        "tag": "Sund"
    },
    {
        "characters_total": 56,
        "name": "Batak",
        "tag": "Batk"
    },
    {
        "characters_total": 74,
        "name": "Lepcha",
        "tag": "Lepc"
    },
    {
        "characters_total": 48,
        "name": "Ol Chiki",
        "tag": "Olck"
    },
    {
        "characters_total": 256,
        "name": "Braille",
        "tag": "Brai"
    },
    {
        "characters_total": 132,
        "name": "Glagolitic",
        "tag": "Glag"
    },
    {
        "characters_total": 59,
        "name": "Tifinagh",
        "tag": "Tfng"
    },
    {
        "characters_total": 94204,
        "name": "Han",
        "tag": "Hani"
    },
    {
        "characters_total": 379,
        "name": "Hiragana",
        "tag": "Hira"
    },
    {
        "characters_total": 304,
        "name": "Katakana",
        "tag": "Kana"
    },
    {
        "characters_total": 1220,
        "name": "Yi",
        "tag": "Yiii"
    },
    {
        "characters_total": 49,
        "name": "Lisu",
        "tag": "Lisu"
    },
    {
        "characters_total": 300,
        "name": "Vai",
        "tag": "Vaii"
    },
    {
        "characters_total": 657,
        "name": "Bamum",
        "tag": "Bamu"
    },
    {
        "characters_total": 45,
        "name": "Syloti Nagri",
        "tag": "Sylo"
    },
    {
        "characters_total": 56,
        "name": "Phags Pa",
        "tag": "Phag"
    },
    {
        "characters_total": 82,
        "name": "Saurashtra",
        "tag": "Saur"
    },
    {
        "characters_total": 47,
        "name": "Kayah Li",
        "tag": "Kali"
    },
    {
        "characters_total": 37,
        "name": "Rejang",
        "tag": "Rjng"
    },
    {
        "characters_total": 90,
        "name": "Javanese",
        "tag": "Java"
    },
    {
        "characters_total": 83,
        "name": "Cham",
        "tag": "Cham"
    },
    {
        "characters_total": 72,
        "name": "Tai Viet",
        "tag": "Tavt"
    },
    {
        "characters_total": 79,
        "name": "Meetei Mayek",
        "tag": "Mtei"
    },
    {
        "characters_total": 211,
        "name": "Linear B",
        "tag": "Linb"
    },
    {
        "characters_total": 29,
        "name": "Lycian",
        "tag": "Lyci"
    },
    {
        "characters_total": 49,
        "name": "Carian",
        "tag": "Cari"
    },
    {
        "characters_total": 39,
        "name": "Old Italic",
        "tag": "Ital"
    },
    {
        "characters_total": 27,
        "name": "Gothic",
        "tag": "Goth"
    },
    {
        "characters_total": 43,
        "name": "Old Permic",
        "tag": "Perm"
    },
    {
        "characters_total": 31,
        "name": "Ugaritic",
        "tag": "Ugar"
    },
    {
        "characters_total": 50,
        "name": "Old Persian",
        "tag": "Xpeo"
    },
    {
        "characters_total": 80,
        "name": "Deseret",
        "tag": "Dsrt"
    },
    {
        "characters_total": 48,
        "name": "Shavian",
        "tag": "Shaw"
    },
    {
        "characters_total": 40,
        "name": "Osmanya",
        "tag": "Osma"
    },
    {
        "characters_total": 72,
        "name": "Osage",
        "tag": "Osge"
    },
    {
        "characters_total": 40,
        "name": "Elbasan",
        "tag": "Elba"
    },
    {
        "characters_total": 53,
        "name": "Caucasian Albanian",
        "tag": "Aghb"
    },
    {
        "characters_total": 341,
        "name": "Linear A",
        "tag": "Lina"
    },
    {
        "characters_total": 55,
        "name": "Cypriot",
        "tag": "Cprt"
    },
    {
        "characters_total": 31,
        "name": "Imperial Aramaic",
        "tag": "Armi"
    },
    {
        "characters_total": 32,
        "name": "Palmyrene",
        "tag": "Palm"
    },
    {
        "characters_total": 40,
        "name": "Nabataean",
        "tag": "Nbat"
    },
    {
        "characters_total": 26,
        "name": "Hatran",
        "tag": "Hatr"
    },
    {
        "characters_total": 29,
        "name": "Phoenician",
        "tag": "Phnx"
    },
    {
        "characters_total": 27,
        "name": "Lydian",
        "tag": "Lydi"
    },
    {
        "characters_total": 32,
        "name": "Meroitic Hieroglyphs",
        "tag": "Mero"
    },
    {
        "characters_total": 90,
        "name": "Meroitic Cursive",
        "tag": "Merc"
    },
    {
        "characters_total": 68,
        "name": "Kharoshthi",
        "tag": "Khar"
    },
    {
        "characters_total": 32,
        "name": "Old South Arabian",
        "tag": "Sarb"
    },
    {
        "characters_total": 32,
        "name": "Old North Arabian",
        "tag": "Narb"
    },
    {
        "characters_total": 51,
        "name": "Manichaean",
        "tag": "Mani"
    },
    {
        "characters_total": 61,
        "name": "Avestan",
        "tag": "Avst"
    },
    {
        "characters_total": 30,
        "name": "Inscriptional Parthian",
        "tag": "Prti"
    },
    {
        "characters_total": 27,
        "name": "Inscriptional Pahlavi",
        "tag": "Phli"
    },
    {
        "characters_total": 29,
        "name": "Psalter Pahlavi",
        "tag": "Phlp"
    },
    {
        "characters_total": 73,
        "name": "Old Turkic",
        "tag": "Orkh"
    },
    {
        "characters_total": 108,
        "name": "Old Hungarian",
        "tag": "Hung"
    },
    {
        "characters_total": 50,
        "name": "Hanifi Rohingya",
        "tag": "Rohg"
    },
    {
        "characters_total": 47,
        "name": "Yezidi",
        "tag": "Yezi"
    },
    {
        "characters_total": 40,
        "name": "Old Sogdian",
        "tag": "Sogo"
    },
    {
        "characters_total": 42,
        "name": "Sogdian",
        "tag": "Sogd"
    },
    {
        "characters_total": 28,
        "name": "Chorasmian",
        "tag": "Chrs"
    },
    {
        "characters_total": 23,
        "name": "Elymaic",
        "tag": "Elym"
    },
    {
        "characters_total": 109,
        "name": "Brahmi",
        "tag": "Brah"
    },
    {
        "characters_total": 67,
        "name": "Kaithi",
        "tag": "Kthi"
    },
    {
        "characters_total": 35,
        "name": "Sora Sompeng",
        "tag": "Sora"
    },
    {
        "characters_total": 71,
        "name": "Chakma",
        "tag": "Cakm"
    },
    {
        "characters_total": 39,
        "name": "Mahajani",
        "tag": "Mahj"
    },
    {
        "characters_total": 96,
        "name": "Sharada",
        "tag": "Shrd"
    },
    {
        "characters_total": 62,
        "name": "Khojki",
        "tag": "Khoj"
    },
    {
        "characters_total": 38,
        "name": "Multani",
        "tag": "Mult"
    },
    {
        "characters_total": 69,
        "name": "Khudawadi",
        "tag": "Sind"
    },
    {
        "characters_total": 85,
        "name": "Grantha",
        "tag": "Gran"
    },
    {
        "characters_total": 97,
        "name": "Newa",
        "tag": "Newa"
    },
    {
        "characters_total": 82,
        "name": "Tirhuta",
        "tag": "Tirh"
    },
    {
        "characters_total": 92,
        "name": "Siddham",
        "tag": "Sidd"
    },
    {
        "characters_total": 79,
        "name": "Modi",
        "tag": "Modi"
    },
    {
        "characters_total": 67,
        "name": "Takri",
        "tag": "Takr"
    },
    {
        "characters_total": 58,
        "name": "Ahom",
        "tag": "Ahom"
    },
    {
        "characters_total": 60,
        "name": "Dogra",
        "tag": "Dogr"
    },
    {
        "characters_total": 84,
        "name": "Warang Citi",
        "tag": "Wara"
    },
    {
        "characters_total": 72,
        "name": "Dives Akuru",
        "tag": "Diak"
    },
    {
        "characters_total": 65,
        "name": "Nandinagari",
        "tag": "Nand"
    },
    {
        "characters_total": 72,
        "name": "Zanabazar Square",
        "tag": "Zanb"
    },
    {
        "characters_total": 83,
        "name": "Soyombo",
        "tag": "Soyo"
    },
    {
        "characters_total": 57,
        "name": "Pau Cin Hau",
        "tag": "Pauc"
    },
    {
        "characters_total": 97,
        "name": "Bhaiksuki",
        "tag": "Bhks"
    },
    {
        "characters_total": 68,
        "name": "Marchen",
        "tag": "Marc"
    },
    {
        "characters_total": 75,
        "name": "Masaram Gondi",
        "tag": "Gonm"
    },
    {
        "characters_total": 63,
        "name": "Gunjala Gondi",
        "tag": "Gong"
    },
    {
        "characters_total": 25,
        "name": "Makasar",
        "tag": "Maka"
    },
    {
        "characters_total": 1234,
        "name": "Cuneiform",
        "tag": "Xsux"
    },
    {
        "characters_total": 1080,
        "name": "Egyptian Hieroglyphs",
        "tag": "Egyp"
    },
    {
        "characters_total": 583,
        "name": "Anatolian Hieroglyphs",
        "tag": "Hluw"
    },
    {
        "characters_total": 43,
        "name": "Mro",
        "tag": "Mroo"
    },
    {
        "characters_total": 36,
        "name": "Bassa Vah",
        "tag": "Bass"
    },
    {
        "characters_total": 127,
        "name": "Pahawh Hmong",
        "tag": "Hmng"
    },
    {
        "characters_total": 91,
        "name": "Medefaidrin",
        "tag": "Medf"
    },
    {
        "characters_total": 149,
        "name": "Miao",
        "tag": "Plrd"
    },
    {
        "characters_total": 6914,
        "name": "Tangut",
        "tag": "Tang"
    },
    {
        "characters_total": 397,
        "name": "Nushu",
        "tag": "Nshu"
    },
    {
        "characters_total": 471,
        "name": "Khitan Small Script",
        "tag": "Kits"
    },
    {
        "characters_total": 143,
        "name": "Duployan",
        "tag": "Dupl"
    },
    {
        "characters_total": 672,
        "name": "SignWriting",
        "tag": "Sgnw"
    },
    {
        "characters_total": 71,
        "name": "Nyiakeng Puachue Hmong",
        "tag": "Hmnp"
    },
    {
        "characters_total": 59,
        "name": "Wancho",
        "tag": "Wcho"
    },
    {
        "characters_total": 213,
        "name": "Mende Kikakui",
        "tag": "Mend"
    },
    {
        "characters_total": 88,
        "name": "Adlam",
        "tag": "Adlm"
    }
]
